Bug 136092 - 2 * local variable read from too soon
Summary: 2 * local variable read from too soon
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: crash   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Anderson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-17 19:45 UTC by David Binderman
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 3.10-13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-30 15:24:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2004-10-17 19:45:22 UTC
Description of problem:

I just tried to compile package crash-3.8-5 from package
Redhat Fedora Core 3 Test 3.

The compiler said

1.

filesys.c(795): remark #592: variable "fd" is used before its value is set

The source code is

        close(fd);

Suggest init fd before first use.

2.

filesys.c(1635): remark #592: variable "inode_i_fop" is used before
its value is set

The source code is

                                 if (inode_i_fop ==

Suggest init inode_i_fop before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Dave Anderson 2004-10-18 17:31:40 UTC
Thanks for catching those -- the fix will be reflected in 
the next Fedora crash release.

Comment 2 Matthew Miller 2006-07-10 20:55:54 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 John Thacker 2006-10-30 15:24:05 UTC
This, along with some other compiler-related fixes, has been incorporated since
3.10-13 I believe.


Note You need to log in before you can comment on or make changes to this bug.